Index: c/src/lib/libbsp/powerpc/gen5200/ChangeLog
===================================================================
--- c/src/lib/libbsp/powerpc/gen5200/ChangeLog	(revision 2c183cdf428e4051e529a54a4f3d235776dc5839)
+++ c/src/lib/libbsp/powerpc/gen5200/ChangeLog	(revision 27e7b144119050f7b29d096471f16cb7aa979860)
@@ -1,2 +1,8 @@
+2009-09-09	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	PR 1435/bsps
+	* Makefile.am: Use shared implementation of bsp_idle_thread().
+	* startup/bspidle.c: Removed.
+
 2009-08-26	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/powerpc/gen5200/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/gen5200/Makefile.am	(revision 2c183cdf428e4051e529a54a4f3d235776dc5839)
+++ c/src/lib/libbsp/powerpc/gen5200/Makefile.am	(revision 27e7b144119050f7b29d096471f16cb7aa979860)
@@ -117,5 +117,5 @@
 	startup/bspreset.c \
 	../../shared/bspgetworkarea.c \
-	startup/bspidle.c \
+	../shared/startup/bspidle.c \
 	startup/bspstart.c \
 	startup/cpuinit.c  \
Index: c/src/lib/libbsp/powerpc/gen5200/startup/bspidle.c
===================================================================
--- c/src/lib/libbsp/powerpc/gen5200/startup/bspidle.c	(revision 2c183cdf428e4051e529a54a4f3d235776dc5839)
+++ 	(revision )
@@ -1,38 +1,0 @@
-/*===============================================================*\
-| Project: RTEMS generic MPC5200 BSP                              |
-+-----------------------------------------------------------------+
-| Partially based on the code references which are named below.   |
-| Adaptions, modifications, enhancements and any recent parts of  |
-| the code are:                                                   |
-|                    Copyright (c) 2005                           |
-|                    Embedded Brains GmbH                         |
-|                    Obere Lagerstr. 30                           |
-|                    D-82178 Puchheim                             |
-|                    Germany                                      |
-|                    rtems@embedded-brains.de                     |
-+-----------------------------------------------------------------+
-| The license and distribution terms for this file may be         |
-| found in the file LICENSE in this distribution or at            |
-|                                                                 |
-| http://www.rtems.com/license/LICENSE.                           |
-|                                                                 |
-+-----------------------------------------------------------------+
-| this file contains the BSP initialization code                  |
-\*===============================================================*/
-
-#include <rtems.h>
-/*
- *  bsp_idle_thread
- *
- *  The MSR[POW] bit is set to put the CPU into the low power mode
- *  defined in HID0.  HID0 is set during starup in start.S.
- */
-void *bsp_idle_thread( uintptr_t ignored )
-{
-  for(;;) {
-    asm volatile(
-      "mfmsr 3; oris 3,3,4; sync; mtmsr 3; isync; ori 3,3,0; ori 3,3,0"
-     );
-  }
-  return 0;
-}
Index: c/src/lib/libbsp/powerpc/gen83xx/ChangeLog
===================================================================
--- c/src/lib/libbsp/powerpc/gen83xx/ChangeLog	(revision 2c183cdf428e4051e529a54a4f3d235776dc5839)
+++ c/src/lib/libbsp/powerpc/gen83xx/ChangeLog	(revision 27e7b144119050f7b29d096471f16cb7aa979860)
@@ -1,2 +1,8 @@
+2009-09-09	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	PR 1435/bsps
+	* Makefile.am: Use shared implementation of bsp_idle_thread().
+	* startup/bspidle.c: Removed.
+
 2009-08-26	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/powerpc/gen83xx/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/gen83xx/Makefile.am	(revision 2c183cdf428e4051e529a54a4f3d235776dc5839)
+++ c/src/lib/libbsp/powerpc/gen83xx/Makefile.am	(revision 27e7b144119050f7b29d096471f16cb7aa979860)
@@ -53,5 +53,5 @@
 	../shared/src/tictac.c \
 	startup/cpuinit.c \
-	startup/bspidle.c \
+	../shared/startup/bspidle.c \
 	startup/bspstart.c \
 	../../shared/bspclean.c \
Index: c/src/lib/libbsp/powerpc/gen83xx/startup/bspidle.c
===================================================================
--- c/src/lib/libbsp/powerpc/gen83xx/startup/bspidle.c	(revision 2c183cdf428e4051e529a54a4f3d235776dc5839)
+++ 	(revision )
@@ -1,48 +1,0 @@
-/**
- * @file
- *
- * @ingroup mpc83xx
- *
- * @brief Source for BSP Idle Thread
- */
-
-/*
- * Copyright (c) 2008
- * Embedded Brains GmbH
- * Obere Lagerstr. 30
- * D-82178 Puchheim
- * Germany
- * rtems@embedded-brains.de
- *
- * The license and distribution terms for this file may be found in the file
- * LICENSE in this distribution or at http://www.rtems.com/license/LICENSE.
- *
- * $Id$
- */
-
-#include <bsp.h>
-
-/**
- * @brief Idle thread body.
- *
- * Replaces the one in c/src/exec/score/src/threadidlebody.c
- * The MSR[POW] bit is set to put the CPU into the low power mode
- * defined in HID0.  HID0 is set during starup in start.S.
- */
-void *bsp_idle_thread( uintptr_t ignored )
-{
-
-  while (1) {
-    asm volatile (
-      "mfmsr 3;"
-      "oris 3, 3, 4;"
-      "sync;"
-      "mtmsr 3;"
-      "isync;"
-      "ori 3, 3, 0;"
-      "ori 3, 3, 0"
-    );
-  }
-
-  return NULL;
-}
Index: c/src/lib/libbsp/powerpc/mpc55xxevb/ChangeLog
===================================================================
--- c/src/lib/libbsp/powerpc/mpc55xxevb/ChangeLog	(revision 2c183cdf428e4051e529a54a4f3d235776dc5839)
+++ c/src/lib/libbsp/powerpc/mpc55xxevb/ChangeLog	(revision 27e7b144119050f7b29d096471f16cb7aa979860)
@@ -1,2 +1,8 @@
+2009-09-09	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	PR 1435/bsps
+	* Makefile.am: Use shared implementation of bsp_idle_thread().
+	* startup/bspidle.c: Removed.
+
 2009-08-26	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/powerpc/mpc55xxevb/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/mpc55xxevb/Makefile.am	(revision 2c183cdf428e4051e529a54a4f3d235776dc5839)
+++ c/src/lib/libbsp/powerpc/mpc55xxevb/Makefile.am	(revision 27e7b144119050f7b29d096471f16cb7aa979860)
@@ -46,5 +46,5 @@
 libbsp_a_SOURCES += ../../shared/bsplibc.c ../../shared/bsppost.c \
     ../../shared/bootcard.c ../shared/src/tictac.c ../../shared/bspclean.c \
-    startup/bspidle.c startup/bspstart.c startup/bspgetworkarea.c \
+    ../shared/startup/bspidle.c startup/bspstart.c startup/bspgetworkarea.c \
     ../../shared/bsppretaskinghook.c
 
Index: c/src/lib/libbsp/powerpc/mpc55xxevb/startup/bspidle.c
===================================================================
--- c/src/lib/libbsp/powerpc/mpc55xxevb/startup/bspidle.c	(revision 2c183cdf428e4051e529a54a4f3d235776dc5839)
+++ 	(revision )
@@ -1,41 +1,0 @@
-/**
- * @file
- *
- * @ingroup mpc55xx
- *
- * @brief BSP Idle Thread Code
- */
-
-/*
- * Copyright (c) 2008
- * Embedded Brains GmbH
- * Obere Lagerstr. 30
- * D-82178 Puchheim
- * Germany
- * rtems@embedded-brains.de
- *
- * The license and distribution terms for this file may be found in the file
- * LICENSE in this distribution or at http://www.rtems.com/license/LICENSE.
- */
-
-#include <bsp.h>
-
-/**
- * @brief Idle thread body.
- */
-void *bsp_idle_thread( uintptr_t ignored )
-{
-
-  while (1) {
-    asm volatile(
-      "mfmsr 3;"
-      "oris 3,3,4;"
-      "sync;"
-      "mtmsr 3;"
-      "isync;"
-      "ori 3,3,0;"
-      "ori 3,3,0"
-    );
-  }
-  return 0;
-}
Index: c/src/lib/libbsp/powerpc/tqm8xx/ChangeLog
===================================================================
--- c/src/lib/libbsp/powerpc/tqm8xx/ChangeLog	(revision 2c183cdf428e4051e529a54a4f3d235776dc5839)
+++ c/src/lib/libbsp/powerpc/tqm8xx/ChangeLog	(revision 27e7b144119050f7b29d096471f16cb7aa979860)
@@ -1,2 +1,8 @@
+2009-09-09	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	PR 1435/bsps
+	* Makefile.am: Use shared implementation of bsp_idle_thread().
+	* startup/bspidle.c: Removed.
+
 2009-08-26	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/powerpc/tqm8xx/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/tqm8xx/Makefile.am	(revision 2c183cdf428e4051e529a54a4f3d235776dc5839)
+++ c/src/lib/libbsp/powerpc/tqm8xx/Makefile.am	(revision 27e7b144119050f7b29d096471f16cb7aa979860)
@@ -59,7 +59,8 @@
 libbsp_a_SOURCES += ../../shared/bspclean.c ../../shared/bsplibc.c \
     ../../shared/bsppost.c ../../shared/bsppredriverhook.c \
-    ../../shared/bsppretaskinghook.c startup/bspidle.c startup/bspstart.c \
-    startup/bspgetworkarea.c ../../shared/bootcard.c startup/mmutlbtab.c \
-    startup/cpuinit.c ../../shared/sbrk.c ../../shared/gnatinstallhandler.c
+    ../../shared/bsppretaskinghook.c ../shared/startup/bspidle.c \
+    startup/bspstart.c startup/bspgetworkarea.c ../../shared/bootcard.c \
+    startup/mmutlbtab.c startup/cpuinit.c ../../shared/sbrk.c \
+    ../../shared/gnatinstallhandler.c
 
 if HAS_NETWORKING
Index: c/src/lib/libbsp/powerpc/tqm8xx/startup/bspidle.c
===================================================================
--- c/src/lib/libbsp/powerpc/tqm8xx/startup/bspidle.c	(revision 2c183cdf428e4051e529a54a4f3d235776dc5839)
+++ 	(revision )
@@ -1,51 +1,0 @@
-/**
- * @file
- *
- * @ingroup tqm8xx
- *
- * @brief Source for BSP Idle Thread
- */
-
-/*
- * Copyright (c) 2008
- * Embedded Brains GmbH
- * Obere Lagerstr. 30
- * D-82178 Puchheim
- * Germany
- * rtems@embedded-brains.de
- *
- * The license and distribution terms for this file may be found in the file
- * LICENSE in this distribution or at http://www.rtems.com/license/LICENSE.
- *
- * $Id$
- */
-
-#include <rtems.h>
-#include <libcpu/powerpc-utility.h>
-
-#include <bsp.h>
-
-/**
- * @brief BSP Idle thread body.
- *
- * Replaces the one in c/src/exec/score/src/threadidlebody.c
- * The MSR[POW] bit is set to put the CPU into the low power mode
- * defined in HID0.  HID0 is set during starup in start.S.
- */
-void *bsp_idle_thread( uintptr_t ignored )
-{
-
-  while (1) {
-    asm volatile (
-		  "mfmsr 3;"
-		  "oris 3, 3, 4;"
-		  "sync;"
-		  "mtmsr 3;"
-		  "isync;"
-		  "ori 3, 3, 0;"
-		  "ori 3, 3, 0"
-		  );
-  }
-
-  return NULL;
-}
